Bug 189539 - CVE-2006-1931 Ruby http/xmlrpc server DoS
CVE-2006-1931 Ruby http/xmlrpc server DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
impact=moderate,reported=20060412,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 16:13 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0427
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 07:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-20 16:13:23 EDT
Ruby http/xmlrpc server DoS

A bug was found in the way ruby creates its http (and thus xmlrpc)
server.  The server uses blocking sockets, so if it is possible to
send a very large amount of data via the socket, the server will block
other connections resulting in a denial of service.

The original report (and patch) are here:
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/27787

A reproducer is described here:
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/26405
Comment 1 Akira TAGOH 2006-04-21 01:12:55 EDT
will fixed in 1.8.1-7.EL4.3
Comment 5 Red Hat Bugzilla 2006-05-09 07:25:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0427.html

Note You need to log in before you can comment on or make changes to this bug.